import "./Toaster.module.scss";
export declare type ToastPermanence = "persisting" | "temporary";
/**
 * View Message of the Toast Notification
 */
export declare type IToastLink = {
    /**
     *  Either the URL to be novaigated to, or the callback to be executed when clicking the <a> tag.
     */
    url: (() => void) | string;
    /**
     * Text of the <a> tag
     */
    title: string;
};
/**
 * bwc-react used to have IToastOptions exported but they converted it to type now,
 * so defining here again.
 */
export interface IToastOptions {
    duration?: number;
    hasCloseButton?: boolean;
    type?: ToastPermanence;
    link?: IToastLink;
}
declare class ThemedToaster {
    private _toaster;
    constructor();
    error(localizedText: string, settings?: IToastOptions): void;
    success(localizedText: string, settings?: IToastOptions): void;
    info(localizedText: string, settings?: IToastOptions): void;
    closeAll(): void;
}
export declare const Toaster: ThemedToaster;
export {};
