import "./ToastStyling.scss";
import * as React from "react";
import { IToastLink } from "./Toast";
export interface IToastObject extends IToastSettings {
    id: number;
    isVisible: boolean;
}
export interface IToastSettings {
    text: string;
    category: "informational" | "error" | "success";
    type: "persisting" | "temporary";
    link?: IToastLink;
    hasCloseButton?: boolean;
    duration?: number;
}
interface IProps {
    bindNotify: (notifyFunction: (settings: IToastSettings) => IToastObject) => void;
    bindCloseAll: (notifyFunction: () => void) => void;
}
interface IState {
    toasts: IToastObject[];
}
export default class ToastMaster extends React.Component<IProps, IState> {
    private static idCounter;
    constructor(props: IProps);
    removeToast(id: number): void;
    closeToast(id: number): void;
    render(): JSX.Element;
    private notify;
    private closeAll;
    private createToastInstance;
}
export {};
